---
docker_kernel_min_version: '0'

# https://yum.dockerproject.org/repo/main/centos/7/Packages/
# or do 'yum --showduplicates list docker-engine'
docker_versioned_pkg:
  'latest': docker-engine
  '1.11': docker-engine-1.11.2-1.el7.centos
  '1.12': docker-engine-1.12.6-1.el7.centos
  '1.13': docker-engine-1.13.1-1.el7.centos
  'stable': docker-engine-17.03.0.ce-1.el7.centos
  'edge': docker-engine-17.03.0.ce-1.el7.centos

# https://docs.docker.com/engine/installation/linux/centos/#install-from-a-package
# https://download.docker.com/linux/centos/7/x86_64/stable/Packages/

docker_package_info:
  pkg_mgr: yum
  pkgs:
    - name: "{{ docker_versioned_pkg[docker_version | string] }}"

docker_repo_key_info:
  pkg_key: ''
  repo_keys: []

docker_repo_info:
  pkg_repo: ''
  repos: []
